Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3123 - X and xdm won't start if /root is full
Summary: X and xdm won't start if /root is full
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-28 14:48 UTC by whampton
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-29 14:08:01 UTC


Attachments (Terms of Use)

Description whampton 1999-05-28 14:48:26 UTC
If /root is full, xdm tries to spawn the X server
several times for a minute or so, then dies dumping you
into the login prompt.  There is no message that
the /root partition is full.  XFS won't start as well.
In this failure mode, for newbies, there SHOULD be a
message or indication of the problem, and it should not
take a minute or so while the X server blinks and tries
to startup.  I have duplicated this on both of my Toshiba
Tecra 8000 laptops (neomagic driver).

Comment 1 Jeff Johnson 1999-05-29 14:08:59 UTC
This is a linux (or even a unix) problem rather than an XFree86
problem. A fix to avoid the problem in the future is to partition your
disk so that root almost never runs out of space -- this usually
means putting /tmp, /var, and /usr on other partitions.

Comment 2 werner.brockhoven 1999-10-06 09:47:59 UTC
Yeah still ... I've had the problem.  And only after 2 reinstalls I
noticed that the root was full.  I agree that their should be some
sort of messages about this.


Note You need to log in before you can comment on or make changes to this bug.